{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Klavis AI","description":"Klavis AI is building Open Source MCP Integrations for AI applications.","colors":{"primary":"#000000","light":"#ffffff","dark":"#000000"},"logo":{"light":"https://mintcdn.com/klavisai/TEzGHGg1v0ZnLKee/images/logo/light.png?fit=max\u0026auto=format\u0026n=TEzGHGg1v0ZnLKee\u0026q=85\u0026s=18ab8c0cadb4d37a9ec65137729aa0e1","dark":"https://mintcdn.com/klavisai/TEzGHGg1v0ZnLKee/images/logo/light.png?fit=max\u0026auto=format\u0026n=TEzGHGg1v0ZnLKee\u0026q=85\u0026s=18ab8c0cadb4d37a9ec65137729aa0e1","href":"https://www.klavis.ai"},"favicon":"https://mintcdn.com/klavisai/TEzGHGg1v0ZnLKee/images/logo/favicon.png?fit=max\u0026auto=format\u0026n=TEzGHGg1v0ZnLKee\u0026q=85\u0026s=ce964238c03bd56e6eb815ea340f482d","api":{"playground":{"display":"interactive"},"examples":{"defaults":"all","languages":["bash","python","javascript","typescript"],"autogenerate":true}},"appearance":{"default":"light","strict":true},"navbar":{"links":[{"href":"https://www.klavis.ai/home","label":"Dashboard"}],"primary":{"type":"github","href":"https://github.com/Klavis-AI/klavis"}},"footer":{"socials":{"github":"https://github.com/Klavis-AI/klavis","linkedin":"https://www.linkedin.com/company/klavis-ai","discord":"https://discord.gg/p7TuTEcssn"}},"seo":{"metatags":{"canonical":"https://www.klavis.ai/docs"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Website","icon":"globe","href":"https://www.klavis.ai"},{"anchor":"Blog","icon":"newspaper","href":"https://www.klavis.ai/blog"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"klavisai","hasAudioNarration":false,"actualSubdomain":"klavisai","customDomains":["www.klavis.ai"],"gitSource":{"type":"github","owner":"klavis-ai","repo":"klavis","deployBranch":"main","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a676cdea390dbc4ce4abec9","collectionId":"6141b470-fdf2-4ae4-b425-c5d47ccdf466","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6a676cdea390dbc4ce4abec9"},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6ae9217d66c39cbdc5f30da9:success","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"API Reference","count":169},{"language":"default","tag":"Legacy","count":167},{"language":"default","tag":"MCP Integrations","count":102},{"language":"default","tag":"Sandbox","count":77},{"language":"default","tag":"Remote MCP Servers","count":70},{"language":"default","tag":"Individual OAuth","count":45},{"language":"default","tag":"OAuth Servers","count":45},{"language":"default","tag":"OAuth Apps","count":23},{"language":"default","tag":"AI Platform Integrations","count":14},{"language":"default","tag":"Use MCP Server","count":14}]},"assistantConfig":{},"basePath":"/docs","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/strata/add","slug":"/api-reference/strata/add","pageMetadata":{"openapi":"post /mcp-server/strata/add","title":"Add","description":"Add servers to an existing Strata MCP server.\n\nNote: After adding servers, you need to reconnect the MCP server so that list_tool can be updated with the new servers.\n\nParameters:\n- servers: Can be 'ALL' to add all available servers, a list of specific server names, or null to add no servers\n- externalServers: Optional list of external MCP servers to validate and add","href":"/api-reference/strata/add"},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n li: \"li\",\n p: \"p\",\n ul: \"ul\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Add servers to an existing Strata MCP server.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"Note: After adding servers, you need to reconnect the MCP server so that list_tool can be updated with the new servers.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"Parameters:\"\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsx(_components.li, {\n children: \"servers: Can be ‘ALL’ to add all available servers, a list of specific server names, or null to add no servers\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"externalServers: Optional list of external MCP servers to validate and add\"\n }), \"\\n\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /mcp-server/strata/add","title":"Add","description":"Add servers to an existing Strata MCP server.\n\nNote: After adding servers, you need to reconnect the MCP server so that list_tool can be updated with the new servers.\n\nParameters:\n- servers: Can be 'ALL' to add all available servers, a list of specific server names, or null to add no servers\n- externalServers: Optional list of external MCP servers to validate and add","href":"/api-reference/strata/add"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["mcp-server"],"summary":"Add","description":"Add servers to an existing Strata MCP server.\n\nNote: After adding servers, you need to reconnect the MCP server so that list_tool can be updated with the new servers.\n\nParameters:\n- servers: Can be 'ALL' to add all available servers, a list of specific server names, or null to add no servers\n- externalServers: Optional list of external MCP servers to validate and add","operationId":"add_servers_to_strata_mcp_server_strata_add_post","requestBody":"43f0b4ab-ec54-46e4-95b5-f7705b441851","responses":{"200":"bb39c44e-1634-4fbf-974b-ba1d50b147c7","422":"ff98bfc1-6026-4d2a-9d03-bc757c573a3d"},"security":["bdf57941-7fd4-4a22-9fab-23b3372491c0"],"method":"post","type":"path","servers":["89f1fe0c-77f8-4964-843c-a24c93df9d8c","f2715abb-fbcb-4cf3-8156-4e6a6977059a"],"path":"/mcp-server/strata/add","baseUrlOptions":["https://api.klavis.ai","https://api.eu.klavis.ai"],"title":"Add","codeSamples":[],"requestExampleLanguages":["bash","python","javascript","typescript"],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"properties":{"strataId":{"type":"string","minLength":1,"title":"Strataid","description":"The strata server ID","isRequired":true,"uniqueKey":"strataId","typeLabel":"string"},"servers":{"oneOf":[{"type":"array","items":{"type":"string","enum":["Affinity","Airtable","Amplitude","Asana","Attio","Box","Brave Search","Cal.com","Canva","ClickUp","Close","Cloudflare","Coinbase","Confluence","Dialpad","Discord","Doc2markdown","DocuSign","Dropbox","ElevenLabs","Exa","Fathom","Fetch URL","Figma","Fireflies","Firecrawl Deep Research","Firecrawl Web Search","Freshdesk","GitHub","GitLab","Gmail","Gong","Google Calendar","Google Docs","Google Drive","Google Jobs","Google Sheets","Google Forms","Google Cloud","GoogleWorkspaceAtlas","Hacker News","Heygen","HubSpot","Intercom","Jira","Klaviyo","Klavis ReportGen","Linear","LinkedIn","Markdown2doc","Mem0","Microsoft Teams","Mixpanel","Monday","Moneybird","Motion","Notion","OneDrive","Openrouter","Outlook Mail","Outlook Calendar","PagerDuty","Pipedrive","Plai","Postgres","PostHog","Postman","QuickBooks","Resend","Salesforce","SendGrid","Shopify","Slack","Snowflake","Stripe","Supabase","Tavily","Vercel","WhatsApp","WordPress","YouTube","Zendesk","ServiceNow","PayPal","Sentry","Netlify","Hugging Face","Square","Clockwise","Jotform","Honeycomb","Zoho Mail","Sharesight","Weights and Biases","Instagram","MongoDB"],"title":"McpServerName","uniqueKey":"servers.oneOf.0.items.[INDEX]","typeLabel":"enum\u003cstring>"},"title":"Servers","description":"List of Klavis integration to add (e.g., 'jira', 'linear'), 'ALL' to add all Klavis integration, or null to add no servers.","uniqueKey":"servers.oneOf.0","typeLabel":"enum\u003cstring>[]"},{"type":"string","title":"Servers","description":"List of Klavis integration to add (e.g., 'jira', 'linear'), 'ALL' to add all Klavis integration, or null to add no servers.","const":"ALL","uniqueKey":"servers.oneOf.1","typeLabel":"string"},{"type":"null","title":"Servers","description":"List of Klavis integration to add (e.g., 'jira', 'linear'), 'ALL' to add all Klavis integration, or null to add no servers.","uniqueKey":"servers.oneOf.2","typeLabel":"null"}],"uniqueKey":"servers","typeLabel":"enum\u003cstring>[] | string | null"},"externalServers":{"oneOf":[{"type":"array","items":{"properties":{"name":{"type":"string","minLength":1,"title":"Name","description":"The name of the external server","isRequired":true,"uniqueKey":"externalServers.oneOf.0.items.[INDEX].name","typeLabel":"string"},"url":{"type":"string","minLength":1,"title":"Url","description":"The URL of the external MCP server","isRequired":true,"uniqueKey":"externalServers.oneOf.0.items.[INDEX].url","typeLabel":"string"},"headers":{"oneOf":[{"type":"object","title":"Headers","description":"Optional HTTP headers to include when connecting to the external server (e.g., for bearer authentication)","additionalProperties":{"type":"string","uniqueKey":"externalServers.oneOf.0.items.[INDEX].headers.oneOf.0.additionalProperties","typeLabel":"string"},"uniqueKey":"externalServers.oneOf.0.items.[INDEX].headers.oneOf.0","typeLabel":"Headers · object"},{"type":"null","title":"Headers","description":"Optional HTTP headers to include when connecting to the external server (e.g., for bearer authentication)","uniqueKey":"externalServers.oneOf.0.items.[INDEX].headers.oneOf.1","typeLabel":"null"}],"uniqueKey":"externalServers.oneOf.0.items.[INDEX].headers","typeLabel":"Headers · object | null"}},"type":"object","required":["name","url"],"title":"ExternalServerRequest","uniqueKey":"externalServers.oneOf.0.items.[INDEX]","typeLabel":"ExternalServerRequest · object"},"title":"Externalservers","description":"Optional list of external MCP servers to add with their URLs. Each server will be validated before being added.","uniqueKey":"externalServers.oneOf.0","typeLabel":"ExternalServerRequest · object[]"},{"type":"null","title":"Externalservers","description":"Optional list of external MCP servers to add with their URLs. Each server will be validated before being added.","uniqueKey":"externalServers.oneOf.1","typeLabel":"null"}],"uniqueKey":"externalServers","typeLabel":"ExternalServerRequest · object[] | null"}},"type":"object","required":["strataId"],"title":"StrataAddServersRequest","uniqueKey":"","typeLabel":"StrataAddServersRequest · object"},"examples":{"Example":{"title":"Example","value":{"strataId":"\u003cstring>","servers":[],"externalServers":[{"name":"\u003cstring>","url":"\u003cstring>","headers":{}}]}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"bb39c44e-1634-4fbf-974b-ba1d50b147c7":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"addedServers":{"items":{"type":"string","uniqueKey":"addedServers.items.[INDEX]","typeLabel":"string"},"type":"array","title":"Addedservers","description":"List of Klavis integration that were added","isRequired":true,"uniqueKey":"addedServers","typeLabel":"string[]"},"addedExternalServers":{"items":{"properties":{"name":{"type":"string","title":"Name","description":"The name of the external server","isRequired":true,"uniqueKey":"addedExternalServers.items.[INDEX].name","typeLabel":"string"},"url":{"type":"string","title":"Url","description":"The URL of the external MCP server","isRequired":true,"uniqueKey":"addedExternalServers.items.[INDEX].url","typeLabel":"string"},"headers":{"oneOf":[{"type":"object","title":"Headers","description":"Optional HTTP headers used when connecting to the external server","additionalProperties":{"type":"string","uniqueKey":"addedExternalServers.items.[INDEX].headers.oneOf.0.additionalProperties","typeLabel":"string"},"uniqueKey":"addedExternalServers.items.[INDEX].headers.oneOf.0","typeLabel":"Headers · object"},{"type":"null","title":"Headers","description":"Optional HTTP headers used when connecting to the external server","uniqueKey":"addedExternalServers.items.[INDEX].headers.oneOf.1","typeLabel":"null"}],"uniqueKey":"addedExternalServers.items.[INDEX].headers","typeLabel":"Headers · object | null"}},"type":"object","required":["name","url"],"title":"ExternalServerInfo","uniqueKey":"addedExternalServers.items.[INDEX]","typeLabel":"ExternalServerInfo · object"},"type":"array","title":"Addedexternalservers","description":"List of external MCP servers that were added with name and URL","uniqueKey":"addedExternalServers","typeLabel":"ExternalServerInfo · object[]"},"oauthUrls":{"additionalProperties":{"type":"string","uniqueKey":"oauthUrls.additionalProperties","typeLabel":"string"},"type":"object","title":"Oauthurls","description":"Map of connected integration to OAuth URL, supports white labeling if configured","uniqueKey":"oauthUrls","typeLabel":"Oauthurls · object"},"apiKeyUrls":{"additionalProperties":{"type":"string","uniqueKey":"apiKeyUrls.additionalProperties","typeLabel":"string"},"type":"object","title":"Apikeyurls","description":"Map of connected integration to API key setup URL","uniqueKey":"apiKeyUrls","typeLabel":"Apikeyurls · object"}},"type":"object","required":["addedServers"],"title":"StrataAddServersResponse","uniqueKey":"","typeLabel":"StrataAddServersResponse · object"},"examples":{"Example":{"title":"Example","value":{"addedServers":["\u003cstring>"],"addedExternalServers":[{"name":"\u003cstring>","url":"\u003cstring>","headers":{}}],"oauthUrls":{},"apiKeyUrls":{}}}},"exampleType":"generated"}},"exampleType":"generated"},"ff98bfc1-6026-4d2a-9d03-bc757c573a3d":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"},"input":{"oneOf":[{"title":"Input"}],"uniqueKey":"detail.items.[INDEX].input","typeLabel":"any"},"ctx":{"type":"object","title":"Context","uniqueKey":"detail.items.[INDEX].ctx","typeLabel":"Context · object"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"type":"array","title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>","input":"\u003cunknown>","ctx":{}}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"bdf57941-7fd4-4a22-9fab-23b3372491c0":{"HTTPBearer":{"type":"http","description":"Your Klavis AI API key.","scheme":"bearer","x-fern-bearer":{"name":"api_key"},"scopes":[]}}},"servers":{"89f1fe0c-77f8-4964-843c-a24c93df9d8c":{"url":"https://api.klavis.ai","description":"US Production server"},"f2715abb-fbcb-4cf3-8156-4e6a6977059a":{"url":"https://api.eu.klavis.ai","description":"EU Production server"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","description":"Your Klavis AI API key.","scheme":"bearer","x-fern-bearer":{"name":"api_key"},"scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Your Klavis AI API key.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"HTTPBearer","name":"Authorization"}],"title":"HTTPBearer"}]},"originalFileLocation":"api-reference/openapi.json"},"subdomain":"klavisai","siteName":"Klavis AI","title":"Add - Klavis AI","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-28T23:04:16.665Z","originalFileLocation":"api-reference/strata/add.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=\"light\";if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Add servers to an existing Strata MCP server. Note: After adding servers, you need to reconnect the MCP server so that list_tool can be updated with the new servers. Parameters: - servers: Can be \u0026#x27;ALL\u0026#x27; to add all available servers, a list of specific server names, or null to add no servers - externalServers: Optional list of external MCP servers to validate and add\">\u003cmeta data-mint-head name=\"application-name\" content=\"Klavis AI\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/klavisai/JPUGSVoEH5S35Wl9/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/docs/mintlify-assets/_mintlify/favicons/klavisai/JPUGSVoEH5S35Wl9/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/klavisai/JPUGSVoEH5S35Wl9/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/klavisai/JPUGSVoEH5S35Wl9/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/klavisai/JPUGSVoEH5S35Wl9/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/klavisai/JPUGSVoEH5S35Wl9/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/klavisai/JPUGSVoEH5S35Wl9/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/klavisai/JPUGSVoEH5S35Wl9/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/klavisai/JPUGSVoEH5S35Wl9/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Add - Klavis AI\">\u003cmeta data-mint-head property=\"og:description\" content=\"Add servers to an existing Strata MCP server. Note: After adding servers, you need to reconnect the MCP server so that list_tool can be updated with the new servers. Parameters: - servers: Can be \u0026#x27;ALL\u0026#x27; to add all available servers, a list of specific server names, or null to add no servers - externalServers: Optional list of external MCP servers to validate and add\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Klavis AI\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://www.klavis.ai/docs/api-reference/strata/add\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://klavisai.mintlify.site/docs/_mintlify/api/og/v2?division=Strata\u0026amp;title=Add\u0026amp;description=Add+servers+to+an+existing+Strata+MCP+server.%0A%0ANote%3A+After+adding+servers%2C+you+need+to+reconnect+the+MCP+server+so+that+list_tool+can+be+updated+with+the+new+se\u0026amp;theme=26bc7ba97f0dfe1dccd8b7dc\u0026amp;signature=fa54e4fa5ea5ff654c0781229eb6d12587825fa253e38101347e7427b8cc9ee7\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Add - Klavis AI\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Add servers to an existing Strata MCP server. Note: After adding servers, you need to reconnect the MCP server so that list_tool can be updated with the new servers. Parameters: - servers: Can be \u0026#x27;ALL\u0026#x27; to add all available servers, a list of specific server names, or null to add no servers - externalServers: Optional list of external MCP servers to validate and add\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://klavisai.mintlify.site/docs/_mintlify/api/og/v2?division=Strata\u0026amp;title=Add\u0026amp;description=Add+servers+to+an+existing+Strata+MCP+server.%0A%0ANote%3A+After+adding+servers%2C+you+need+to+reconnect+the+MCP+server+so+that+list_tool+can+be+updated+with+the+new+se\u0026amp;theme=26bc7ba97f0dfe1dccd8b7dc\u0026amp;signature=fa54e4fa5ea5ff654c0781229eb6d12587825fa253e38101347e7427b8cc9ee7\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/docs/mintlify-assets/_mintlify/favicons/klavisai/JPUGSVoEH5S35Wl9/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Klavis AI\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#000000\">\u003clink data-mint-head rel=\"canonical\" href=\"https://www.klavis.ai/docs/api-reference/strata/add\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/docs/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/api-reference/strata/add.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://www.klavis.ai/#organization\",\"name\":\"Klavis AI\",\"url\":\"https://www.klavis.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/klavisai/TEzGHGg1v0ZnLKee/images/logo/light.png?fit=max\u0026auto=format\u0026n=TEzGHGg1v0ZnLKee\u0026q=85\u0026s=18ab8c0cadb4d37a9ec65137729aa0e1\"}},{\"@type\":\"WebSite\",\"@id\":\"https://www.klavis.ai/docs#website\",\"name\":\"Klavis AI\",\"url\":\"https://www.klavis.ai/docs\",\"publisher\":{\"@id\":\"https://www.klavis.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://www.klavis.ai/docs/api-reference/strata/add#webpage\",\"url\":\"https://www.klavis.ai/docs/api-reference/strata/add\",\"name\":\"Add\",\"description\":\"Add servers to an existing Strata MCP server. Note: After adding servers, you need to reconnect the MCP server so that list_tool can be updated with the new servers. Parameters: - servers: Can be 'ALL' to add all available servers, a list of specific server names, or null to add no servers - externalServers: Optional list of external MCP servers to validate and add\",\"dateModified\":\"2026-01-28T23:04:16.665Z\",\"isPartOf\":{\"@id\":\"https://www.klavis.ai/docs#website\"},\"breadcrumb\":{\"@id\":\"https://www.klavis.ai/docs/api-reference/strata/add#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://www.klavis.ai/docs/api-reference/strata/add#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Strata\",\"item\":\"https://www.klavis.ai/docs/api-reference/strata/create\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Add\",\"item\":\"https://www.klavis.ai/docs/api-reference/strata/add\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://www.klavis.ai/docs/api-reference/strata/add#apireference\",\"headline\":\"Add\",\"name\":\"Add\",\"description\":\"Add servers to an existing Strata MCP server. Note: After adding servers, you need to reconnect the MCP server so that list_tool can be updated with the new servers. Parameters: - servers: Can be 'ALL' to add all available servers, a list of specific server names, or null to add no servers - externalServers: Optional list of external MCP servers to validate and add\",\"url\":\"https://www.klavis.ai/docs/api-reference/strata/add\",\"mainEntityOfPage\":{\"@id\":\"https://www.klavis.ai/docs/api-reference/strata/add#webpage\"},\"dateModified\":\"2026-01-28T23:04:16.665Z\",\"publisher\":{\"@id\":\"https://www.klavis.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://www.klavis.ai/docs#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Klavis AI\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Klavis AI","nav":{"global":{"anchors":[{"anchor":"Website","icon":"globe","href":"https://www.klavis.ai"},{"anchor":"Blog","icon":"newspaper","href":"https://www.klavis.ai/blog"}]},"tabs":[{"tab":"Documentation","icon":"book-open","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"API Reference","icon":"magnifying-glass","groups":[{"group":"API References","pages":[{"title":"Overview","href":"/api-reference/overview"},{"title":"Authentication","href":"/api-reference/authentication"},{"title":"Rate Limit","href":"/api-reference/rate-limit"}]},{"group":"Sandbox","pages":[{"openapi":"post /sandbox/{server_name}","title":"Acquire a sandbox","href":"/api-reference/sandbox/create"},{"openapi":"get /sandbox/{server_name}/{sandbox_id}","title":"Get sandbox details","href":"/api-reference/sandbox/get"},{"openapi":"get /sandbox","title":"List all sandboxes","href":"/api-reference/sandbox/list"},{"openapi":"delete /sandbox/{server_name}/{sandbox_id}","title":"Release sandbox","href":"/api-reference/sandbox/delete"},{"openapi":"post /sandbox/{server_name}/{sandbox_id}/reset","title":"Reset sandbox to initial state","href":"/api-reference/sandbox/reset"},{"openapi":"post /sandbox/prepare","title":"Prepare sandbox infrastructure for high demand","href":"/api-reference/sandbox/prepare"},{"group":"Remote MCP Servers","pages":[{"group":"Airtable","pages":[{"openapi":"post /sandbox/airtable/{sandbox_id}/initialize","title":"Initialize airtable sandbox with data","href":"/api-reference/sandbox/airtable/initialize-airtable"},{"openapi":"get /sandbox/airtable/{sandbox_id}/dump","title":"Export airtable sandbox data","href":"/api-reference/sandbox/airtable/dump-airtable"}]},{"group":"Asana","pages":[{"openapi":"post /sandbox/asana/{sandbox_id}/initialize","title":"Initialize asana sandbox with data","href":"/api-reference/sandbox/asana/initialize-asana"},{"openapi":"get /sandbox/asana/{sandbox_id}/dump","title":"Export asana sandbox data","href":"/api-reference/sandbox/asana/dump-asana"}]},{"group":"Cal.com","pages":[{"openapi":"post /sandbox/calcom/{sandbox_id}/initialize","title":null,"href":"/api-reference/sandbox/calcom/initialize-calcom"},{"openapi":"get /sandbox/calcom/{sandbox_id}/dump","title":null,"href":"/api-reference/sandbox/calcom/dump-calcom"}]},{"group":"ClickUp","pages":[{"openapi":"post /sandbox/clickup/{sandbox_id}/initialize","title":"Initialize clickup sandbox with data","href":"/api-reference/sandbox/clickup/initialize-clickup"},{"openapi":"get /sandbox/clickup/{sandbox_id}/dump","title":"Export clickup sandbox data","href":"/api-reference/sandbox/clickup/dump-clickup"}]},{"group":"Close","pages":[{"openapi":"post /sandbox/close/{sandbox_id}/initialize","title":"Initialize close sandbox with data","href":"/api-reference/sandbox/close/initialize-close"},{"openapi":"get /sandbox/close/{sandbox_id}/dump","title":"Export close sandbox data","href":"/api-reference/sandbox/close/dump-close"}]},{"group":"Confluence","pages":[{"openapi":"post /sandbox/confluence/{sandbox_id}/initialize","title":"Initialize confluence sandbox with data","href":"/api-reference/sandbox/confluence/initialize-confluence"},{"openapi":"get /sandbox/confluence/{sandbox_id}/dump","title":"Export confluence sandbox data","href":"/api-reference/sandbox/confluence/dump-confluence"}]},{"group":"Discord","pages":[{"openapi":"post /sandbox/discord/{sandbox_id}/initialize","title":"Initialize discord sandbox with data","href":"/api-reference/sandbox/discord/initialize-discord"},{"openapi":"get /sandbox/discord/{sandbox_id}/dump","title":"Export discord sandbox data","href":"/api-reference/sandbox/discord/dump-discord"}]},{"group":"Dropbox","pages":[{"openapi":"post /sandbox/dropbox/{sandbox_id}/initialize","title":"Initialize dropbox sandbox with data","href":"/api-reference/sandbox/dropbox/initialize-dropbox"},{"openapi":"get /sandbox/dropbox/{sandbox_id}/dump","title":"Export dropbox sandbox data","href":"/api-reference/sandbox/dropbox/dump-dropbox"}]},{"group":"Gmail","pages":[{"openapi":"post /sandbox/gmail/{sandbox_id}/initialize","title":"Initialize gmail sandbox with data","href":"/api-reference/sandbox/gmail/initialize-gmail"},{"openapi":"get /sandbox/gmail/{sandbox_id}/dump","title":"Export gmail sandbox data","href":"/api-reference/sandbox/gmail/dump-gmail"}]},{"group":"GitHub","pages":[{"openapi":"post /sandbox/github/{sandbox_id}/initialize","title":"Initialize github sandbox with data","href":"/api-reference/sandbox/github/initialize-github"},{"openapi":"get /sandbox/github/{sandbox_id}/dump","title":"Export github sandbox data","href":"/api-reference/sandbox/github/dump-github"}]},{"group":"Google Calendar","pages":[{"openapi":"post /sandbox/google_calendar/{sandbox_id}/initialize","title":"Initialize google_calendar sandbox with data","href":"/api-reference/sandbox/google_calendar/initialize-google-calendar"},{"openapi":"get /sandbox/google_calendar/{sandbox_id}/dump","title":"Export google_calendar sandbox data","href":"/api-reference/sandbox/google_calendar/dump-google-calendar"}]},{"group":"Google Docs","pages":[{"openapi":"post /sandbox/google_docs/{sandbox_id}/initialize","title":"Initialize google_docs sandbox with data","href":"/api-reference/sandbox/google_docs/initialize-google-docs"},{"openapi":"get /sandbox/google_docs/{sandbox_id}/dump","title":"Export google_docs sandbox data","href":"/api-reference/sandbox/google_docs/dump-google-docs"}]},{"group":"Google Drive","pages":[{"openapi":"post /sandbox/google_drive/{sandbox_id}/initialize","title":"Initialize google_drive sandbox with data","href":"/api-reference/sandbox/google_drive/initialize-google-drive"},{"openapi":"get /sandbox/google_drive/{sandbox_id}/dump","title":"Export google_drive sandbox data","href":"/api-reference/sandbox/google_drive/dump-google-drive"}]},{"group":"Google Sheets","pages":[{"openapi":"post /sandbox/google_sheets/{sandbox_id}/initialize","title":"Initialize google_sheets sandbox with data","href":"/api-reference/sandbox/google_sheets/initialize-google-sheets"},{"openapi":"get /sandbox/google_sheets/{sandbox_id}/dump","title":"Export google_sheets sandbox data","href":"/api-reference/sandbox/google_sheets/dump-google-sheets"}]},{"group":"HubSpot","pages":[{"openapi":"post /sandbox/hubspot/{sandbox_id}/initialize","title":"Initialize hubspot sandbox with data","href":"/api-reference/sandbox/hubspot/initialize-hubspot"},{"openapi":"get /sandbox/hubspot/{sandbox_id}/dump","title":"Export hubspot sandbox data","href":"/api-reference/sandbox/hubspot/dump-hubspot"}]},{"group":"Jira","pages":[{"openapi":"post /sandbox/jira/{sandbox_id}/initialize","title":"Initialize jira sandbox with data","href":"/api-reference/sandbox/jira/initialize-jira"},{"openapi":"get /sandbox/jira/{sandbox_id}/dump","title":"Export jira sandbox data","href":"/api-reference/sandbox/jira/dump-jira"}]},{"group":"Linear","pages":[{"openapi":"post /sandbox/linear/{sandbox_id}/initialize","title":"Initialize linear sandbox with data","href":"/api-reference/sandbox/linear/initialize-linear"},{"openapi":"get /sandbox/linear/{sandbox_id}/dump","title":"Export linear sandbox data","href":"/api-reference/sandbox/linear/dump-linear"}]},{"group":"Mem0","pages":[{"openapi":"post /sandbox/mem0/{sandbox_id}/initialize","title":"Initialize mem0 sandbox with data","href":"/api-reference/sandbox/mem0/initialize-mem0"},{"openapi":"get /sandbox/mem0/{sandbox_id}/dump","title":"Export mem0 sandbox data","href":"/api-reference/sandbox/mem0/dump-mem0"}]},{"group":"Moneybird","pages":[{"openapi":"post /sandbox/moneybird/{sandbox_id}/initialize","title":"Initialize moneybird sandbox with data","href":"/api-reference/sandbox/moneybird/initialize-moneybird"},{"openapi":"get /sandbox/moneybird/{sandbox_id}/dump","title":"Export moneybird sandbox data","href":"/api-reference/sandbox/moneybird/dump-moneybird"}]},{"group":"Notion","pages":[{"openapi":"post /sandbox/notion/{sandbox_id}/initialize","title":"Initialize notion sandbox with data","href":"/api-reference/sandbox/notion/initialize-notion"},{"openapi":"get /sandbox/notion/{sandbox_id}/dump","title":"Export notion sandbox data","href":"/api-reference/sandbox/notion/dump-notion"}]},{"group":"OneDrive","pages":[{"openapi":"post /sandbox/onedrive/{sandbox_id}/initialize","title":"Initialize onedrive sandbox with data","href":"/api-reference/sandbox/onedrive/initialize-onedrive"},{"openapi":"get /sandbox/onedrive/{sandbox_id}/dump","title":"Export onedrive sandbox data","href":"/api-reference/sandbox/onedrive/dump-onedrive"}]},{"group":"Outlook Calendar","pages":[{"openapi":"post /sandbox/outlook_calendar/{sandbox_id}/initialize","title":"Initialize outlook_calendar sandbox with data","href":"/api-reference/sandbox/outlook_calendar/initialize-outlook-calendar"},{"openapi":"get /sandbox/outlook_calendar/{sandbox_id}/dump","title":"Export outlook_calendar sandbox data","href":"/api-reference/sandbox/outlook_calendar/dump-outlook-calendar"}]},{"group":"Outlook Mail","pages":[{"openapi":"post /sandbox/outlook_mail/{sandbox_id}/initialize","title":"Initialize outlook_mail sandbox with data","href":"/api-reference/sandbox/outlook_mail/initialize-outlook-mail"},{"openapi":"get /sandbox/outlook_mail/{sandbox_id}/dump","title":"Export outlook_mail sandbox data","href":"/api-reference/sandbox/outlook_mail/dump-outlook-mail"}]},{"group":"QuickBooks","pages":[{"openapi":"post /sandbox/quickbooks/{sandbox_id}/initialize","title":"Initialize quickbooks sandbox with data","href":"/api-reference/sandbox/quickbooks/initialize-quickbooks"},{"openapi":"get /sandbox/quickbooks/{sandbox_id}/dump","title":"Export quickbooks sandbox data","href":"/api-reference/sandbox/quickbooks/dump-quickbooks"}]},{"group":"Resend","pages":[{"openapi":"post /sandbox/resend/{sandbox_id}/initialize","title":"Initialize resend sandbox with data","href":"/api-reference/sandbox/resend/initialize-resend"},{"openapi":"get /sandbox/resend/{sandbox_id}/dump","title":"Export resend sandbox data","href":"/api-reference/sandbox/resend/dump-resend"}]},{"group":"Salesforce","pages":[{"openapi":"post /sandbox/salesforce/{sandbox_id}/initialize","title":"Initialize salesforce sandbox with data","href":"/api-reference/sandbox/salesforce/initialize-salesforce"},{"openapi":"get /sandbox/salesforce/{sandbox_id}/dump","title":"Export salesforce sandbox data","href":"/api-reference/sandbox/salesforce/dump-salesforce"}]},{"group":"Shopify","pages":[{"openapi":"post /sandbox/shopify/{sandbox_id}/initialize","title":"Initialize shopify sandbox with data","href":"/api-reference/sandbox/shopify/initialize-shopify"},{"openapi":"get /sandbox/shopify/{sandbox_id}/dump","title":"Export shopify sandbox data","href":"/api-reference/sandbox/shopify/dump-shopify"}]},{"group":"Slack","pages":[{"openapi":"post /sandbox/slack/{sandbox_id}/initialize","title":"Initialize slack sandbox with data","href":"/api-reference/sandbox/slack/initialize-slack"},{"openapi":"get /sandbox/slack/{sandbox_id}/dump","title":"Export slack sandbox data","href":"/api-reference/sandbox/slack/dump-slack"}]},{"group":"Snowflake","pages":[{"openapi":"post /sandbox/snowflake/{sandbox_id}/initialize","title":"Initialize snowflake sandbox with data","href":"/api-reference/sandbox/snowflake/initialize-snowflake"},{"openapi":"get /sandbox/snowflake/{sandbox_id}/dump","title":"Export snowflake sandbox data","href":"/api-reference/sandbox/snowflake/dump-snowflake"}]},{"group":"Supabase","pages":[{"openapi":"post /sandbox/supabase/{sandbox_id}/initialize","title":"Initialize supabase sandbox with data","href":"/api-reference/sandbox/supabase/initialize-supabase"},{"openapi":"get /sandbox/supabase/{sandbox_id}/dump","title":"Export supabase sandbox data","href":"/api-reference/sandbox/supabase/dump-supabase"}]},{"group":"Microsoft Teams","pages":[{"openapi":"post /sandbox/microsoft_teams/{sandbox_id}/initialize","title":"Initialize microsoft_teams sandbox with data","href":"/api-reference/sandbox/microsoft_teams/initialize-microsoft-teams"},{"openapi":"get /sandbox/microsoft_teams/{sandbox_id}/dump","title":"Export microsoft_teams sandbox data","href":"/api-reference/sandbox/microsoft_teams/dump-microsoft-teams"}]},{"group":"Monday","pages":[{"openapi":"post /sandbox/monday/{sandbox_id}/initialize","title":"Initialize monday sandbox with data","href":"/api-reference/sandbox/monday/initialize-monday"},{"openapi":"get /sandbox/monday/{sandbox_id}/dump","title":"Export monday sandbox data","href":"/api-reference/sandbox/monday/dump-monday"}]},{"group":"Motion","pages":[{"openapi":"post /sandbox/motion/{sandbox_id}/initialize","title":"Initialize motion sandbox with data","href":"/api-reference/sandbox/motion/initialize-motion"},{"openapi":"get /sandbox/motion/{sandbox_id}/dump","title":"Export motion sandbox data","href":"/api-reference/sandbox/motion/dump-motion"}]},{"group":"WooCommerce","pages":[{"openapi":"post /sandbox/woocommerce/{sandbox_id}/initialize","title":"Initialize woocommerce sandbox with data","href":"/api-reference/sandbox/woocommerce/initialize-woocommerce"},{"openapi":"get /sandbox/woocommerce/{sandbox_id}/dump","title":"Export woocommerce sandbox data","href":"/api-reference/sandbox/woocommerce/dump-woocommerce"}]},{"group":"WordPress","pages":[{"openapi":"post /sandbox/wordpress/{sandbox_id}/initialize","title":"Initialize wordpress sandbox with data","href":"/api-reference/sandbox/wordpress/initialize-wordpress"},{"openapi":"get /sandbox/wordpress/{sandbox_id}/dump","title":"Export wordpress sandbox data","href":"/api-reference/sandbox/wordpress/dump-wordpress"}]}]},{"title":"Stateless MCP Server","href":"/api-reference/sandbox/stateless_mcp"}]},{"group":"Local Sandbox","pages":[{"openapi":"post /local-sandbox","title":"Acquire a local sandbox","href":"/api-reference/local-sandbox/acquire"},{"openapi":"get /local-sandbox/{local_sandbox_id}","title":"Get local sandbox details","href":"/api-reference/local-sandbox/get"},{"openapi":"get /local-sandbox","title":"List local sandboxes","href":"/api-reference/local-sandbox/list"},{"openapi":"delete /local-sandbox/{local_sandbox_id}","title":"Release a local sandbox","href":"/api-reference/local-sandbox/release"},{"openapi":"post /local-sandbox/{local_sandbox_id}/reset","title":"Reset local sandbox to initial state","href":"/api-reference/local-sandbox/reset"},{"openapi":"post /local-sandbox/{local_sandbox_id}/upload-url","title":"Get URL to upload your data","href":"/api-reference/local-sandbox/upload-url"},{"openapi":"post /local-sandbox/{local_sandbox_id}/initialize","title":"Initialize sandbox from your uploaded data","href":"/api-reference/local-sandbox/initialize"},{"openapi":"get /local-sandbox/{local_sandbox_id}/dump","title":"Download sandbox data","href":"/api-reference/local-sandbox/dump"}]},{"group":"Universe","pages":[{"openapi":"get /universes","title":"List universes","href":"/api-reference/universe/list-universes"},{"openapi":"get /universes/{universe_id}/initial_data","title":"Get init data","href":"/api-reference/universe/get-universe-data"},{"openapi":"post /universes/{universe_id}","title":"Acquire universe","href":"/api-reference/universe/acquire-universe"},{"openapi":"post /universes/{universe_instance_id}/release","title":"Release universe","href":"/api-reference/universe/release-universe"},{"openapi":"get /universes/{universe_id}/tasks/{task_num}","title":"Get task details","href":"/api-reference/universe/get-task"},{"openapi":"post /universes/{universe_instance_id}/tasks/{task_num}/verify","title":"Verify task","href":"/api-reference/universe/verify-task"}]},{"group":"Strata","pages":[{"openapi":"post /mcp-server/strata/create","title":"Create","href":"/api-reference/strata/create"},{"openapi":"get /mcp-server/strata/{strataId}","title":"Get","description":"Get information about an existing Strata MCP server instance.\n\nReturns the strata URL, connected klavis servers, connected external servers (with URLs), \nand authentication URLs for klavis servers.","href":"/api-reference/strata/get"},{"openapi":"post /mcp-server/strata/add","title":"Add","href":"/api-reference/strata/add"},{"openapi":"delete /mcp-server/strata/{strataId}/servers","title":"Delete","description":"Delete servers from an existing Strata MCP server.\n\nNote: After deleting servers, you need to reconnect the MCP server so that list_tool can be updated to reflect the removed servers.\n\nParameters:\n- strataId: The strata server ID (path parameter)\n- servers: Can be 'ALL' to delete all available Klavis integration, a list of specific server names, or null to delete no servers\n- externalServers: Query parameter - comma-separated list of external server names to delete\n\nReturns separate lists for deleted Klavis servers and deleted external servers.","href":"/api-reference/strata/delete"},{"openapi":"get /mcp-server/strata/{strataId}/raw-actions","title":"List Raw Actions","href":"/api-reference/strata/list-raw-actions"},{"group":"Strata Auth / OAuth","pages":[{"openapi":"post /mcp-server/strata/set-auth","title":"Set Strata Auth","href":"/api-reference/strata/set-strata-auth"},{"openapi":"get /mcp-server/strata/{strataId}/auth/{serverName}","title":"Get Strata Auth","href":"/api-reference/strata/get-strata-auth"},{"openapi":"delete /mcp-server/strata/{strataId}/auth/{serverName}","title":"Delete Strata Auth","href":"/api-reference/strata/delete-strata-auth"}]}]},{"group":"MCP Server Instance","pages":[{"openapi":"post /mcp-server/instance/create","title":"Create","href":"/api-reference/mcp-server/create-a-server-instance"},{"openapi":"get /mcp-server/instance/{instanceId}","title":"Get","href":"/api-reference/mcp-server/get-server-instance"},{"openapi":"patch /mcp-server/instance/{instanceId}","title":"Update","href":"/api-reference/mcp-server/update-a-server-instance"},{"openapi":"delete /mcp-server/instance/{instanceId}","title":"Delete","href":"/api-reference/mcp-server/delete-a-server-instance"},{"openapi":"get /mcp-server/instance/{instanceId}/raw-actions","title":"List Raw Actions","href":"/api-reference/mcp-server/list-raw-actions"},{"group":"Instance Auth / OAuth","pages":[{"openapi":"post /mcp-server/instance/set-auth","title":"Set Instance Auth","href":"/api-reference/mcp-server/set-instance_auth"},{"openapi":"get /mcp-server/instance/{instanceId}/auth","title":"Get Instance Auth","href":"/api-reference/mcp-server/get-instance_auth"},{"openapi":"delete /mcp-server/instance/{instanceId}/auth","title":"Delete Instance Auth","href":"/api-reference/mcp-server/delete-instance_auth"}]}]},{"group":"User","pages":[{"openapi":"get /user/{userId}","title":"Get User","href":"/api-reference/user/get-user"},{"openapi":"get /user/{userId}/integrations","title":"Get User Integrations","href":"/api-reference/user/get-user-integrations"},{"openapi":"get /user/","title":"Get All Users","href":"/api-reference/user/get-all-users"},{"openapi":"delete /user/{userId}","title":"Delete User","href":"/api-reference/user/delete-user"},{"group":"User Auth / OAuth","pages":[{"openapi":"post /user/set-auth","title":"Set User Auth","href":"/api-reference/user/set-user-auth"},{"openapi":"get /user/{userId}/auth/{serverName}","title":"Get User Auth","href":"/api-reference/user/get-user-auth"},{"openapi":"delete /user/{userId}/auth/{serverName}","title":"Delete User Auth","href":"/api-reference/user/delete-user-auth"}]}]},{"group":"MCP Server Metadata","pages":[{"openapi":"get /mcp-server/servers","title":"Get All Servers","href":"/api-reference/mcp-server/get-all-servers"},{"openapi":"get /mcp-server/tools/{serverName}","title":"Get Tools","href":"/api-reference/mcp-server/get-tools"}]},{"group":"Function Calling with MCP","pages":[{"openapi":"post /mcp-server/list-tools","title":"List Tools","href":"/api-reference/mcp-server/list-tools"},{"openapi":"post /mcp-server/call-tool","title":"Call Tool","href":"/api-reference/mcp-server/call-tool"}]},{"group":"White Label OAuth","pages":[{"openapi":"post /white-labeling/create","title":"Create","href":"/api-reference/white-labeling/create"},{"openapi":"get /white-labeling/get/{client_id}","title":"Get","href":"/api-reference/white-labeling/get"}]},{"group":"Self Hosted MCP Server","pages":[{"openapi":"post /mcp-server/self-hosted/instance/create","title":"Create","href":"/api-reference/mcp-server/create-a-self-hosted-mcp-server-instance"}]},{"group":"Individual OAuth","pages":[{"group":"OAuth Servers","pages":[{"openapi":"get /oauth/airtable/authorize","title":"Authorize Airtable","href":"/api-reference/oauth/airtable-oauth/authorize-airtable"},{"openapi":"get /oauth/asana/authorize","title":"Authorize Asana","href":"/api-reference/oauth/asana-oauth/authorize-asana"},{"openapi":"get /oauth/attio/authorize","title":"Authorize Attio","href":"/api-reference/oauth/attio-oauth/authorize-attio"},{"openapi":"get /oauth/box/authorize","title":"Authorize Box","href":"/api-reference/oauth/box-oauth/authorize-box"},{"openapi":"get /oauth/calcom/authorize","title":"Authorize Calcom","href":"/api-reference/oauth/calcom-oauth/authorize-calcom"},{"openapi":"get /oauth/canva/authorize","title":"Authorize Canva","href":"/api-reference/oauth/canva-oauth/authorize-canva"},{"openapi":"get /oauth/clickup/authorize","title":"Authorize Clickup","href":"/api-reference/oauth/clickup-oauth/authorize-clickup"},{"openapi":"get /oauth/close/authorize","title":"Authorize Close","href":"/api-reference/oauth/close-oauth/authorize-close"},{"openapi":"get /oauth/confluence/authorize","title":"Authorize Confluence","href":"/api-reference/oauth/confluence-oauth/authorize-confluence"},{"openapi":"get /oauth/dialpad/authorize","title":"Authorize Dialpad","href":"/api-reference/oauth/dialpad-oauth/authorize-dialpad"},{"openapi":"get /oauth/docusign/authorize","title":"Authorize Docusign","href":"/api-reference/oauth/docusign-oauth/authorize-docusign"},{"openapi":"get /oauth/dropbox/authorize","title":"Authorize Dropbox","href":"/api-reference/oauth/dropbox-oauth/authorize-dropbox"},{"openapi":"get /oauth/figma/authorize","title":"Authorize Figma","href":"/api-reference/oauth/figma-oauth/authorize-figma"},{"openapi":"get /oauth/gcalendar/authorize","title":"Authorize Gcalendar","href":"/api-reference/oauth/gcalendar-oauth/authorize-gcalendar"},{"openapi":"get /oauth/gdocs/authorize","title":"Authorize Gdocs","href":"/api-reference/oauth/gdocs-oauth/authorize-gdocs"},{"openapi":"get /oauth/gdrive/authorize","title":"Authorize Gdrive","href":"/api-reference/oauth/gdrive-oauth/authorize-gdrive"},{"openapi":"get /oauth/github/authorize","title":"Authorize Github","href":"/api-reference/oauth/github-oauth/authorize-github"},{"openapi":"get /oauth/gitlab/authorize","title":"Authorize Gitlab","href":"/api-reference/oauth/gitlab-oauth/authorize-gitlab"},{"openapi":"get /oauth/gmail/authorize","title":"Authorize Gmail","href":"/api-reference/oauth/gmail-oauth/authorize-gmail"},{"openapi":"get /oauth/gsheets/authorize","title":"Authorize Gsheets","href":"/api-reference/oauth/gsheets-oauth/authorize-gsheets"},{"openapi":"get /oauth/honeycomb/authorize","title":"Authorize Honeycomb","href":"/api-reference/oauth/honeycomb-oauth/authorize-honeycomb"},{"openapi":"get /oauth/hubspot/authorize","title":"Authorize Hubspot","href":"/api-reference/oauth/hubspot-oauth/authorize-hubspot"},{"openapi":"get /oauth/huggingface/authorize","title":"Authorize Hugging Face","href":"/api-reference/oauth/huggingface-oauth/authorize-huggingface"},{"openapi":"get /oauth/jira/authorize","title":"Authorize Jira","href":"/api-reference/oauth/jira-oauth/authorize-jira"},{"openapi":"get /oauth/klaviyo/authorize","title":"Authorize Klaviyo","href":"/api-reference/oauth/klaviyo-oauth/authorize-klaviyo"},{"openapi":"get /oauth/linear/authorize","title":"Authorize Linear","href":"/api-reference/oauth/linear-oauth/authorize-linear"},{"openapi":"get /oauth/linkedin/authorize","title":"Authorize Linkedin","href":"/api-reference/oauth/linkedin-oauth/authorize-linkedin"},{"openapi":"get /oauth/netlify/authorize","title":"Authorize Netlify","href":"/api-reference/oauth/netlify-oauth/authorize-netlify"},{"openapi":"get /oauth/notion/authorize","title":"Authorize Notion","href":"/api-reference/oauth/notion-oauth/authorize-notion"},{"openapi":"get /oauth/onedrive/authorize","title":"Authorize OneDrive","href":"/api-reference/oauth/onedrive-oauth/authorize-onedrive"},{"openapi":"get /oauth/outlook/authorize","title":"Authorize Outlook","href":"/api-reference/oauth/outlook-oauth/authorize-outlook"},{"openapi":"get /oauth/pagerduty/authorize","title":"Authorize Pagerduty","href":"/api-reference/oauth/pagerduty-oauth/authorize-pagerduty"},{"openapi":"get /oauth/paypal/authorize","title":"Authorize PayPal","href":"/api-reference/oauth/paypal-oauth/authorize-paypal"},{"openapi":"get /oauth/pipedrive/authorize","title":"Authorize Pipedrive","href":"/api-reference/oauth/pipedrive-oauth/authorize-pipedrive"},{"openapi":"get /oauth/quickbooks/authorize","title":"Authorize Quickbooks","href":"/api-reference/oauth/quickbooks-oauth/authorize-quickbooks"},{"openapi":"get /oauth/salesforce/authorize","title":"Authorize Salesforce","href":"/api-reference/oauth/salesforce-oauth/authorize-salesforce"},{"openapi":"get /oauth/sentry/authorize","title":"Authorize Sentry","href":"/api-reference/oauth/sentry-oauth/authorize-sentry"},{"openapi":"get /oauth/shopify/authorize","title":null,"href":"/api-reference/oauth/shopify-oauth/authorize-shopify"},{"openapi":"get /oauth/slack/authorize","title":"Authorize Slack","href":"/api-reference/oauth/slack-oauth/authorize-slack"},{"openapi":"get /oauth/stripe/authorize","title":"Authorize Stripe Connect","href":"/api-reference/oauth/stripe-connect-oauth/authorize-stripe-connect"},{"openapi":"get /oauth/supabase/authorize","title":"Authorize Supabase","href":"/api-reference/oauth/supabase-oauth/authorize-supabase"},{"openapi":"get /oauth/vercel/authorize","title":"Authorize Vercel","href":"/api-reference/oauth/vercel-oauth/authorize-vercel"},{"openapi":"get /oauth/wordpress/authorize","title":"Authorize Wordpress","href":"/api-reference/oauth/wordpress-oauth/authorize-wordpress"},{"openapi":"get /oauth/xero/authorize","title":"Authorize Xero","href":"/api-reference/oauth/xero-oauth/authorize-xero"},{"openapi":"get /oauth/zendesk/authorize","title":"Authorize Zendesk","href":"/api-reference/oauth/zendesk-oauth/authorize-zendesk"}]}]}]},{"tab":"Legacy","icon":"clock-rotate-left","pages":[{"title":"Legacy","href":"/quickstart"}]}]},"basePath":"","title":"Add - Klavis AI","buildId":"dpl_ATnXPMW25DMPUr9VBw6kL6MfBt6T","deploymentId":"dpl_ATnXPMW25DMPUr9VBw6kL6MfBt6T","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CNqlzjVB.js","utils-BqFiXZ79.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-CnR4QBe6.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-BY2ZM1OO.js","snippetPresets-x-8ACO8V.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-Ch-SJE05.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-CqqG_0NE.js","shallow-BXrZ2b0C.js","getApiPlaygroundDisplay-n7J_wkjq.js","CodeSnippet-CQsp4vyQ.js","CodeSnippets-BfuHqvZx.js","Page-CTxrMSpo.js","getPastedJson-BjrGIK1i.js","icon-7iLZnVOC.js","MethodPill-TBS1m84e.js","DuplicateIcon-BNMrV4Vs.js","createIcon-C5kCqeU2.js","DynamicMarkdown-Bq09mRwR.js","SectionHeading-G4Bflf5Q.js","axios-vUo_bRtp.js","Markdown-BTUds0aX.js","clsx-6wHzaN2_.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BPypQKlo.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-o6bee4ro.js"]}